# sitelib for noarch packages, sitearch for others (remove the unneeded one)
%{!?__python2: %global __python2 %__python}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

%if 0%{?fedora}
%bcond_without python3
%else
%bcond_with python3
%endif

Name:           python-pyinstaller
Version:        3.2
Release:        1%{?dist}
Summary:        Packages Python programs into stand-alone executables

License:        GPL
URL:            http://www.pyinstaller.org/
Source0:        https://github.com/pyinstaller/pyinstaller/archive/pyinstaller-%{version}.tar.gz

ExclusiveArch:	x86_64     
BuildRequires:  python3-devel,zlib-devel,python3-pytest,python3-psutil,python3-tkinter,glibc-langpack-en

%description
PyInstaller packages Python programs into Linux executables.

%package     -n python3-pyinstaller
Summary:       Packages Python programs into stand-alone executables 

%description -n python3-pyinstaller
PyInstaller packages Python programs into Linux executables.


%global debug_package %{nil}

%prep
%setup -qc -n pyinstaller-%{version}
mv pyinstaller-%{version} python3
cp python3/doc/license.rst .
cp python3/README.rst .
rm -rf python3/PyInstaller/bootloader
rm -rf python3/bootloader/zlib
find . -name __init__.py -exec chmod 644 {} \;

%build
pushd python3
pushd bootloader
%{__python3} waf all --no-lsb
popd

for lib in PyInstaller/lib/macholib/*.py; do
  sed -i -e '1{\@^#!/usr/bin/env python@d}' $lib
done

# Remove CFLAGS=... for noarch packages (unneeded)
CFLAGS="$RPM_OPT_FLAGS" %{__python3} setup.py build
popd

%install
rm -rf $RPM_BUILD_ROOT
# Must do the python3 install first because the scripts in /usr/bin are
# overwritten with every setup.py install (and we want the python2 version
# to be the default for now).
pushd python3
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
popd

%check
#pushd python2
#%{__python2} setup.py test
#popd

#%if %{with python3}

pushd python3
#%{__python3} setup.py test
%{__python3} -m pytest tests/ 
popd
#%endif

%files -n python3-pyinstaller
%{_bindir}/*
%license license.rst
%doc README.rst
%{python3_sitelib}/*


%changelog
* Thu Sep 22 2016 makerpm
- 
